> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Registry Sync Jobs Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/registries/{registry_name}/sync-jobs
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/registries/{registry_name}/sync-jobs:
    get:
      tags:
        - Helm API
      summary: List Registry Sync Jobs Endpoint
      operationId: >-
        list_registry_sync_jobs_endpoint_api_v1_org_helm_registries__registry_name__sync_jobs_get
      parameters:
        - in: path
          name: registry_name
          required: true
          schema:
            maxLength: 253
            title: Registry Name
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - maxLength: 64
                type: string
              - type: 'null'
            title: Status
        - in: query
          name: job_type
          required: false
          schema:
            anyOf:
              - maxLength: 64
                type: string
              - type: 'null'
            title: Job Type
        - in: query
          name: sort_by
          required: false
          schema:
            anyOf:
              - maxLength: 64
                type: string
              - type: 'null'
            title: Sort By
        - in: query
          name: order
          required: false
          schema:
            anyOf:
              - maxLength: 4
                type: string
              - type: 'null'
            title: Order
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - maxLength: 200
                type: string
              - type: 'null'
            title: Search
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRegistrySyncJobsResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListRegistrySyncJobsResult:
      properties:
        jobs:
          items:
            $ref: '#/components/schemas/SyncJob'
          title: Jobs
          type: array
        pagination:
          $ref: >-
            #/components/schemas/usecase__helm__get_helm_chart_registry__Pagination
      required:
        - jobs
        - pagination
      title: ListRegistrySyncJobsResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SyncJob:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        resource_kind:
          title: Resource Kind
          type: string
        resource_name:
          title: Resource Name
          type: string
        start_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Start At
        status:
          title: Status
          type: string
        stop_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Stop At
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        tasks:
          default: []
          items:
            $ref: '#/components/schemas/SyncJobTask'
          title: Tasks
          type: array
      required:
        - id
        - name
        - status
        - resource_kind
        - resource_name
        - created_at
      title: SyncJob
      type: object
    usecase__helm__get_helm_chart_registry__Pagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SyncJobTask:
      properties:
        action_label:
          title: Action Label
          type: string
        command:
          anyOf:
            - type: string
            - type: 'null'
          title: Command
        status:
          title: Status
          type: string
        stderr:
          title: Stderr
          type: string
        stdout:
          title: Stdout
          type: string
      required:
        - action_label
        - status
        - stdout
        - stderr
      title: SyncJobTask
      type: object

````